#ifndef _KPROGRAM_
#define _KPROGRAM_

#ifndef _IVBASE_
   #include <ivbase.hpp>
#endif

#ifndef _ISTRING_
   #include <istring.hpp>
#endif

#ifndef _IRESLIB_
   #include <ireslib.hpp>
#endif

#pragma pack(4)


class _Export KProgram : public IVBase
{
   public:
      KProgram(char const *strName, char const *strTitle=0, 
               char const *strInput=0, char const *strEnv=0);
      KProgram(const IResourceId nameId, const IResourceId titleId, 
               const IResourceId inputId=0, const IResourceId envId=0);
      unsigned long run();

   private:
      IString name;
      IString title;
      IString input;
      IString env;
};

#pragma pack()

#endif
